import pygame
from pygame.draw import rect

import pygame
from pygame import Rect


class Bullet:

    def __init__(self, window, rect, vel = 4) -> None:
        self.window = window
        self.rect = Rect(rect)
        self.vel = vel
        self.start_color = (255,255,0)
        self.end_color = (150,0,150)
        self.color = list(self.start_color)
        

    def show(self):
        pygame.draw.rect(self.window, self.color , self.rect)

    def update(self):
        wrect = self.window.get_rect()
        self.rect.y -= self.vel

        self.color[0] = int(self.start_color[0] + (
                            (self.end_color[0] - self.start_color[0]) * min(1,((wrect.h - self.rect.y) / wrect.h)
                            )))
        self.color[1] = int(self.start_color[1] + ((self.end_color[1] - self.start_color[1]) * min(1,((wrect.h - self.rect.y) / wrect.h))))
        self.color[2] = int(self.start_color[2] + ((self.end_color[2] - self.start_color[2]) * min(1,((wrect.h - self.rect.y) / wrect.h))))