import pygame
from pygame import gfxdraw
from pygame import Surface
from pygame import Rect
from pygame import sprite

class Player:

    def __init__(self,window,rect,sprite) -> None:
        self.window = window
        self.rect = pygame.Rect(rect)
        self.sprite = sprite
        self.is_dead = False
        self.is_immortal = False
        self.lives = 3


    def show(self):
        self.window.blit(self.sprite,(self.rect.x,self.rect.y))


    def move(self,direction = 1):
        if self.rect.left <= 0:
            self.rect.left = 0
        elif self.rect.right >= self.window.get_width():
            self.rect.right = self.window.get_width()
        self.rect.x += direction
        